/* $Id: sha.h 100 2003-11-05 00:33:42Z stu $ */

#ifndef SHA_H_INC
#define SHA_H_INC

void sha1_init(SHA1_CONTEXT *hd);
const char *sha1_get_info(int algo, size_t *contextsize,
        unsigned char **r_asnoid, int *r_asnlen, int *r_mdlen,
        void (**r_init)(void *c),
        void (**r_write)(void *c, unsigned char *buf, size_t nbytes),
        void (**r_final)(void *c), unsigned char *(**r_read)(void *c));
void make_sha_hash(const char *passwd, char *buffer);

#endif
